%global modulename asynckit

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-asynckit
Version:        0.4.0
Release:        1%{?dist}
Summary:        Minimal async jobs utility library, with streams support

License:        MIT
URL:            https://github.com/alexindigo/asynckit#readme
Source0:        https://registry.npmjs.org/asynckit/-/asynckit-0.4.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Minimal async jobs utility library, with streams support

%package 0.4.0
Summary:        Minimal async jobs utility library, with streams support


%description 0.4.0
Minimal async jobs utility library, with streams support

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bench.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parallel.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr serial.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr serialOrdered.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr stream.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.4.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 0.4.0-1
- Package automatically generated by npm2srpm
